The Alternative Csound Reference Manual
Previous |  | Next

# strset

strset -- Allows a string to be linked with a numeric value.

## Description

Allows a string to be linked with a numeric value.

## Syntax

strset iarg, istring

## Initialization

iarg -- the numeric value.

istring -- the alphanumeric string (in double-quotes).

strset (optional) allows a string, such as a filename, to be linked with a numeric value. Its use is optional.

## Examples

The following statement, used in the orchestra header, will allow the numeric value 10 to substituted anywhere the soundfile asound.wav is called for.

    strset 10, "asound.wav"

## See Also

pset

Previous | Home | Next
streson | Up | subinstr